org.eclipse.jgit.lib

## Interface ReflogEntry

All Known Implementing Classes:
  ReflogEntryImpl

    public interface ReflogEntry

Parsed reflog entry

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getComment()`
`ObjectId` `getNewId()`
`ObjectId` `getOldId()`
`PersonIdent` `getWho()`
`CheckoutEntry` `parseCheckout()`

### Method Detail

#### getOldId

    ObjectId getOldId()

Returns:
  the commit id before the change

#### getNewId

    ObjectId getNewId()

Returns:
  the commit id after the change

#### getWho

    PersonIdent getWho()

Returns:
  user performing the change

#### getComment

    String getComment()

Returns:
  textual description of the change

#### parseCheckout

    CheckoutEntry parseCheckout()

Returns:
  a `CheckoutEntry` with parsed information about a branch switch, or null if the entry is not a checkout